> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentarea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workspace Registry



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/workspaces/{workspace}/workspace-registries/{registry_id}
openapi: 3.1.0
info:
  description: >-
    Modular and extensible framework for building AI agents. This API requires
    JWT Bearer token authentication for most endpoints. Include your JWT token
    in the Authorization header. Public endpoints include /, /health, /docs,
    /redoc, and /openapi.json.
  title: AgentArea API
  version: 0.1.0
servers: []
security:
  - bearer: []
paths:
  /v1/workspaces/{workspace}/workspace-registries/{registry_id}:
    patch:
      tags:
        - v1
        - protected
        - registries
      summary: Update Workspace Registry
      operationId: update_workspace_registry_v1_workspace_registries__registry_id__patch
      parameters:
        - in: path
          name: registry_id
          required: true
          schema:
            format: uuid
            title: Registry Id
            type: string
        - description: Slug of the workspace the request acts in
          in: path
          name: workspace
          required: true
          schema:
            description: Slug of the workspace the request acts in
            maxLength: 120
            pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
            title: Workspace
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkspaceRegistryUpdate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistryResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    WorkspaceRegistryUpdate:
      additionalProperties: false
      properties:
        credentials_secret_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Credentials Secret Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
        mode:
          anyOf:
            - enum:
                - mirror
                - upstream
              type: string
            - type: 'null'
          title: Mode
        name:
          anyOf:
            - maxLength: 255
              minLength: 1
              type: string
            - type: 'null'
          title: Name
        source_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Path
        source_ref:
          anyOf:
            - maxLength: 255
              type: string
            - type: 'null'
          title: Source Ref
        source_url:
          anyOf:
            - minLength: 1
              type: string
            - type: 'null'
          title: Source Url
        trust:
          anyOf:
            - enum:
                - private
                - community
              type: string
            - type: 'null'
          title: Trust
      title: WorkspaceRegistryUpdate
      type: object
    RegistryResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        credentials_secret_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Credentials Secret Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          format: uuid
          title: Id
          type: string
        is_active:
          title: Is Active
          type: boolean
        item_count:
          title: Item Count
          type: integer
        last_sync_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Sync Error
        last_synced_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Synced At
        mode:
          enum:
            - mirror
            - upstream
          title: Mode
          type: string
        name:
          title: Name
          type: string
        recommendation_priority:
          title: Recommendation Priority
          type: integer
        registry_type:
          title: Registry Type
          type: string
        scope:
          enum:
            - platform
            - workspace
          title: Scope
          type: string
        source_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Path
        source_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Ref
        source_type:
          title: Source Type
          type: string
        source_url:
          title: Source Url
          type: string
        sync_mode:
          title: Sync Mode
          type: string
        trust:
          enum:
            - official
            - verified
            - community
            - private
          title: Trust
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        workspace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace Id
      required:
        - id
        - name
        - description
        - registry_type
        - source_type
        - source_url
        - sync_mode
        - is_active
        - scope
        - mode
        - trust
        - last_synced_at
        - last_sync_error
        - item_count
        - recommendation_priority
        - created_at
        - updated_at
      title: RegistryResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      description: JWT Bearer token for authentication
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.